perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frank Wiles <fr...@wiles.org>
Subject Re: issues with figuring out which mp version is running
Date Sat, 21 Jan 2006 18:17:31 GMT
On Fri, 20 Jan 2006 16:13:10 -0800
Stas Bekman <stas@stason.org> wrote:

> I'm trying to make Apache::DProf to work under mp2 and I thought the 
> following will work:
> 
> 	die "mod_perl is required to run this module"
>              unless $ENV{MOD_PERL};
>          use constant MP2 => $ENV{MOD_PERL} >= 2;
> 
> but no such luck, since $ENV{MOD_PERL} is set at the end of
> post_config, and Apache::DProf loads during the config phase.
> 
> I think setting of $ENV{MOD_PERL} needs to be moved to happen as soon
> as perl starts and before we try to run any code or load any modules.

  Can you give me more info about how APache::DProf isn't working for
  you?  I just used it yesterday in fact with MP 2.0.1 without any
  problems. 

 ---------------------------------
   Frank Wiles <frank@wiles.org>
   http://www.wiles.org
 ---------------------------------


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message